## git-filter-repo 2.29.0

=== debian/changelog ===
git-filter-repo (2.29.0-1) unstable; urgency=low

  * Initial Release to Debian (Closes: #966231)

 -- Stefano Rivera <stefanor@debian.org>  Tue, 16 Feb 2021 15:00:20 -0800
