=== debian/control ===
Source: git-filter-repo
Section: vcs
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>
Build-Depends:
 bsdextrautils,
 debhelper-compat (= 13),
 dh-python,
 dos2unix,
 git (>= 2.22),
 python3,
 python3-setuptools,
 python3-setuptools-scm,
 rsync
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/python-team/packages/git-filter-repo.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/git-filter-repo
Homepage: https://github.com/newren/git-filter-repo
Rules-Requires-Root: no

Package: git-filter-repo
Architecture: all
Depends: git (>= 2.22), ${misc:Depends}, ${python3:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Quickly rewrite git repository history
 git filter-repo is a versatile tool for rewriting history, which includes
 capabilities not found anywhere else.  It roughly falls into the
 same space of tool as git filter-branch but without the capitulation-inducing
 poor performance, with far more capabilities, and with a design that scales
 usability-wise beyond trivial rewriting cases.  git filter-repo is now
 recommended by the git project instead of git filter-branch.
 .
 While most users will probably just use filter-repo as a simple command
 line tool (and likely only use a few of its flags), at its core filter-repo
 contains a library for creating history rewriting tools.  As such, users
 with specialized needs can leverage it to quickly create entirely new
 history rewriting tools.
