=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_DIR=release

%:
	dh $@ --with python3 --buildsystem pybuild

override_dh_auto_test:
	t/run_tests
