=== debian/tests/control ===
Tests: testsuite
Depends: bsdextrautils, dos2unix, git-filter-repo, rsync
