## git-filter-repo 2.32.0

=== debian/changelog ===
git-filter-repo (2.32.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop patch test-runner, superseded upstream.
  * Build the documentation from source (using the XSL toolchain copied from
    the Git source tree).

 -- Stefano Rivera <stefanor@debian.org>  Fri, 11 Jun 2021 19:29:45 -0400
