=== debian/control ===
--- 
+++ 
@@ -4,15 +4,19 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
+ asciidoc (>= 8.6.10),
  bsdextrautils,
  debhelper-compat (= 13),
  dh-python,
+ docbook-xsl,
  dos2unix,
+ dpkg-dev,
  git (>= 2.22),
  python3,
  python3-setuptools,
  python3-setuptools-scm,
- rsync
+ rsync,
+ xmlto
 Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/python-team/packages/git-filter-repo.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/git-filter-repo
