## git-filter-repo 2.33.0

=== debian/changelog ===
git-filter-repo (2.33.0-2) unstable; urgency=medium

  * Clean release/git-filter-repo.
  * Include the 1: epoch in the versioned git dependency. (Closes: #994900)
  * Bump the git Build-Depends to >= 1:2.28 for the test suite to pass.
    Recommend this too, although upstream claims 2.22 is sufficient for basic
    functionality. (Closes: #995027)
  * Bump Standards-Version to 4.6.0, no changes needed.
  * Clean t/test-results. (Closes: #995029)

 -- Stefano Rivera <stefanor@debian.org>  Tue, 28 Sep 2021 15:19:55 -0700

git-filter-repo (2.33.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch minimal-wrapper: upstream is now using entry_points.
  * Drop Build-Depends on dpkg-dev, that was an accident.
  * Patch: version-from-module: Calculate the version from the module, not the
    entry_point.
  * Drop dependencies on bsdextrautils, colrm is no longer being used in
    tests.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 24 Aug 2021 14:35:19 -0700
