## git-filter-repo 2.34.0

=== debian/changelog ===
git-filter-repo (2.34.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch version-from-module, superseded upstream.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 23 Nov 2021 07:39:42 -0400
