=== debian/control ===
--- 
+++ 
@@ -5,19 +5,17 @@
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
  asciidoc (>= 8.6.10),
- bsdextrautils,
  debhelper-compat (= 13),
  dh-python,
  docbook-xsl,
  dos2unix,
- dpkg-dev,
- git (>= 2.22),
+ git (>= 1:2.28),
  python3,
  python3-setuptools,
  python3-setuptools-scm,
  rsync,
  xmlto
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/python-team/packages/git-filter-repo.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/git-filter-repo
 Homepage: https://github.com/newren/git-filter-repo
@@ -25,8 +23,8 @@
 
 Package: git-filter-repo
 Architecture: all
-Depends: git (>= 2.22), ${misc:Depends}, ${python3:Depends}
-Recommends: ${python3:Recommends}
+Depends: git (>= 1:2.22), ${misc:Depends}, ${python3:Depends}
+Recommends: ${python3:Recommends}, git (>= 1:2.28)
 Suggests: ${python3:Suggests}
 Description: Quickly rewrite git repository history
  git filter-repo is a versatile tool for rewriting history, which includes
