=== debian/tests/control ===
Tests: testsuite
Depends: dos2unix, git-filter-repo, rsync
