## git-filter-repo 2.38.0

=== debian/changelog ===
git-filter-repo (2.38.0-2) unstable; urgency=medium

  [ Vladimir Petko ]
  * d/p/options.patch: add patch to support git 2.43 (Closes: #1057756).

  [ Stefano Rivera ]
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 08 Dec 2023 10:51:06 -0400

git-filter-repo (2.38.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop git 2.35 patch, superseded upstream.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 13 Oct 2022 21:23:11 +0200

git-filter-repo (2.34.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on asciidoc.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 May 2022 21:19:55 +0100

git-filter-repo (2.34.0-2) unstable; urgency=medium

  * Patch: Update expected test results for git 2.35. (Closes: #1006056)
  * Bump Build-Depends and Test Depends to git (>= 1:2.35), as the patch
    breaks the tests on older git versions.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 06 Mar 2022 12:41:47 -0400
