=== debian/control ===
--- 
+++ 
@@ -4,18 +4,18 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
- asciidoc (>= 8.6.10),
+ asciidoc,
  debhelper-compat (= 13),
  dh-python,
  docbook-xsl,
  dos2unix,
- git (>= 1:2.28),
+ git (>= 1:2.35),
  python3,
  python3-setuptools,
  python3-setuptools-scm,
  rsync,
  xmlto
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/git-filter-repo.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/git-filter-repo
 Homepage: https://github.com/newren/git-filter-repo
@@ -24,7 +24,7 @@
 Package: git-filter-repo
 Architecture: all
 Depends: git (>= 1:2.22), ${misc:Depends}, ${python3:Depends}
-Recommends: ${python3:Recommends}, git (>= 1:2.28)
+Recommends: git (>= 1:2.28), ${python3:Recommends}
 Suggests: ${python3:Suggests}
 Description: Quickly rewrite git repository history
  git filter-repo is a versatile tool for rewriting history, which includes
