=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export PYBUILD_DIR=release

%:
	dh $@ --with python3 --buildsystem pybuild

override_dh_auto_build: Documentation/man1/git-filter-repo.1
	dh_auto_build

override_dh_auto_test:
	t/run_tests

Documentation/%.xml: Documentation/%.txt
	asciidoc -f debian/git-doc-toolchain/asciidoc.conf \
	         -amanversion=$(DEB_VERSION) -amanmanual='git-filter-repo Manual' \
	         -amansource='Git' -b docbook -d manpage -o $@ $<

Documentation/man1/%.1: Documentation/%.xml
	mkdir -p Documentation/man1
	xmlto -m debian/git-doc-toolchain/manpage-normal.xsl \
	      -m debian/git-doc-toolchain/manpage-bold-literal.xsl \
	      -m debian/git-doc-toolchain/manpage-base-url.xsl \
	      -m debian/git-doc-toolchain/manpage-quote-apos.xsl \
	      --skip-validation \
	      -x debian/git-doc-toolchain/manpage.xsl \
	      man $<
	mv $(notdir $@) Documentation/man1
