=== debian/changelog ===
git-filter-repo (2.45.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop options.patch, superseded upstream.
  * Refresh patches.
  * Build with pybuild-plugin-pyproject.
  * Bump copyright years.
  * The module is no longer in "release".

 -- Stefano Rivera <stefanor@debian.org>  Fri, 02 Aug 2024 10:24:20 +0900
