=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  docbook-xsl,
  dos2unix,
  git (>= 1:2.35),
+ pybuild-plugin-pyproject,
  python3,
  python3-setuptools,
  python3-setuptools-scm,
