## git-filter-repo 2.47.0

=== debian/changelog ===
git-filter-repo (2.47.0-2) unstable; urgency=medium

  * Patch: Support multi-line configurations (Closes: #1091422).

 -- Stefano Rivera <stefanor@debian.org>  Fri, 27 Dec 2024 17:57:51 -0400

git-filter-repo (2.47.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch autopkgtest-version, superseded upstream.
  * Drop patch zlib-ng, superseded upstream.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 06 Dec 2024 19:52:17 -0400

git-filter-repo (2.45.0-2) unstable; urgency=medium

  * Patch: Support zlib-ng in the test suite (Closes: #1088748).

 -- Stefano Rivera <stefanor@debian.org>  Sun, 01 Dec 2024 15:35:57 -0400
