=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #! /usr/bin/make -f
 
 include /usr/share/dpkg/pkg-info.mk
-export PYBUILD_DIR=release
 
 %:
 	dh $@ --with python3 --buildsystem pybuild
